Summary:	Light weight X11 display manager
Name:		lxdm
Version:	0.4.1
Release:	11
License:	GPL v3
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.gz
# Source0-md5:	8da1cfc2be6dc9217c85a7cf51e1e821
Source1:	%{name}.pamd
Source2:	%{name}.init
Source3:	%{name}.Xsession
Source4:	%{name}.upstart
Patch0:		%{name}-setuid.patch
Patch1:		greeter-skip-services.patch
Patch2:		softlockup.patch
Patch3:		%{name}-werror.patch
URL:		http://wiki.lxde.org/en/LXDM
BuildRequires:	ConsoleKit-devel
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel
BuildRequires:	intltool
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.627
Requires:	/usr/bin/X
Requires:	iso-codes
Requires:	xinitrc-ng >= 1.0
Suggests:	%{name}-init
Suggests:	openbox
Provides:	XDM
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Light weight X11 display manager.

%package init
Summary:	Init script for lxdm
Summary(pl.UTF-8):	Skrypt init dla lxdm-a
Group:		X11/Applications
Requires(post,preun):	/sbin/chkconfig
Requires(post,postun):	systemd-units >= 38
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts >= 0.4.3.0
Requires:	systemd-units >= 38

%description init
Init script for lxdm.

%description init -l pl.UTF-8
Skrypt init dla lxdm-a.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
rm -f data/lxdm.conf
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,init,pam.d,security} \
	$RPM_BUILD_ROOT%{systemdunitdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/lxdm
cp -p %{SOURCE4} $RPM_BUILD_ROOT/etc/init/%{name}.conf
install -p %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/lxdm
install -p %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/Xsession
touch $RPM_BUILD_ROOT/etc/security/blacklist.lxdm

ln -s /dev/null $RPM_BUILD_ROOT%{systemdunitdir}/lxdm.service

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%systemd_reload

%postun
%systemd_reload

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README TODO
%dir %{_sysconfdir}/%{name}
%attr(755,root,root) %config %{_sysconfdir}/%{name}/LoginReady
%attr(755,root,root) %config %{_sysconfdir}/%{name}/PostLogin
%attr(755,root,root) %config %{_sysconfdir}/%{name}/PostLogout
%attr(755,root,root) %config %{_sysconfdir}/%{name}/PreLogin
%attr(755,root,root) %config %{_sysconfdir}/%{name}/PreReboot
%attr(755,root,root) %config %{_sysconfdir}/%{name}/PreShutdown
%attr(755,root,root) %config %{_sysconfdir}/%{name}/Xsession
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/%{name}.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.lxdm
%attr(755,root,root) %{_bindir}/%{name}-config
%attr(755,root,root) %{_sbindir}/%{name}
%attr(755,root,root) %{_sbindir}/%{name}-binary
%attr(755,root,root) %{_libexecdir}/%{name}-greeter-gtk
%attr(755,root,root) %{_libdir}/%{name}-greeter-gdk
%attr(755,root,root) %{_libdir}/%{name}-numlock
%{_datadir}/%{name}

%files init
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%config(noreplace) %verify(not md5 mtime size) /etc/init/%{name}.conf
%{systemdunitdir}/lxdm.service
%changelog
* Fri Nov 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lxdm.git;a=log;h=master

* Sun Jul 21 2013 Marcin Krol <hawk@tld-linux.org> 490a9dd
- fix build with -Werror=format-security

* Sat Jul 21 2012 Elan Ruusamäe <glen@delfi.ee> d32ff28
- fix event check bug caused cpu 100%

* Sun Jun 10 2012 Elan Ruusamäe <glen@pld-linux.org> 47e88cb
- load pam_gnome_keyring.so optionally

* Sun Jun 10 2012 Elan Ruusamäe <glen@pld-linux.org> 6d352d1
- whitespace cleanup; formatting

* Tue Apr 17 2012 Jan Rękorajski <baggins@pld-linux.org> 9269d9f
- rel 9
- systemd deps in proper package

* Sat Mar 24 2012 Elan Ruusamäe <glen@pld-linux.org> 3e47d7a
- keep the service mask in -init package

* Sun Mar 18 2012 Jan Rękorajski <baggins@pld-linux.org> 25b3580
- rel 7
- create systemd unit dir

* Sun Mar 18 2012 Jan Rękorajski <baggins@pld-linux.org> 9b7fade
- rel 6
- mask lxdm service for systemd to start it via prefdm

* Sun Sep 25 2011 Elan Ruusamäe <glen@pld-linux.org> b2f472a
- update upstart deps

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> 92b5ab4
- requires iso-codes for lxdm-greeter-gtk

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> ac21f4f
- expect fork

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> ec895e2
- missing upstart_controlled line

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> af04ba6
- requires X-server, obviously

* Fri Aug 19 2011 Elan Ruusamäe <glen@pld-linux.org> 3505231
- fix install

* Tue Aug 16 2011 Elan Ruusamäe <glen@pld-linux.org> 0917d0a
- package missing blacklist.lxdm

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 12e1d5f
- openbox theoretically optional

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 7e47de2
- suggest -init

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> fb640d9
- up to 0.4.1, added upstart config

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 6021c19
- add

* Sun Jul 10 2011 Elan Ruusamäe <glen@pld-linux.org> e9d222d
- there is no epoch, drop bogus open dependency

